/**
 * @file
 * Defines the ckenbsp plugin.
 */

/**
 * @module ckenbsp/Ckenbsp
 */

import { Plugin } from 'ckeditor5/src/core';
import CkenbspEditing from './editing';

/**
 * The ckenbsp plugin.
 *
 * This is a "glue" plugin that loads
 *
 * @extends module:core/plugin~Plugin
 */
class Ckenbsp extends Plugin {

  /**
   * @inheritdoc
   */
  static get requires() {
    return [CkenbspEditing];
  }

  /**
   * @inheritdoc
   */
  static get pluginName() {
    return 'plugCkenbsp';
  }

}

export default {
  Ckenbsp,
};
